Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZSourceSite Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| get ( $id="")
| delete ( $id=-1)
| getAll ()
| id ()
& | name ()
& | url ()
& | login ()
& | password ()
& | decoder ()
& | category ()
& | isActive ()
| setName ( $value)
| setURL ( $value)
| setLogin ( $value)
| setPassword ( $value)
| setCategory ( $category)
| setDecoder ( $value)
| setIsActive ( $value)
| setAutoPublish ( $value)
| autoPublish ()

## Public Attributes
| $ID
| $Name
| $URL
| $Login
| $Password
| $CategoryID
| $Decoder
| $IsActive
| $AutoPublish
| bool represented as an int. For automatically publishing of articles. More...
| $IsPublished

## Detailed Description

! eZNewsFeed eZSourceSite handles news feed source sites' import parameters.

See also
  eZNewsCategory eZNews

TODO

Definition at line 43 of file ezsourcesite.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSourceSite::__construct | ( |  | $id = `""` | ) |

Constructs a new eZSourceSite object.

If $id is set the object's values are fetched from the database.

Definition at line 51 of file ezsourcesite.php.

References $id, and $ID.

## Member Function Documentation

## ◆ autoPublish()

eZSourceSite::autoPublish | ( |  | ) |

Returns true if the news from this site is automatically published.

Definition at line 349 of file ezsourcesite.php.

References $ret.

## ◆ category()

& eZSourceSite::category | ( |  | ) |

Returns the category to import the news to.

Definition at line 245 of file ezsourcesite.php.

References $ret.

## ◆ decoder()

& eZSourceSite::decoder | ( |  | ) |

Returns the decoder to use on the source site.

Definition at line 237 of file ezsourcesite.php.

References $Decoder.

## ◆ delete()

eZSourceSite::delete | ( |  | $id = `-1` | ) |

Deletes a eZSourceSite object from the database.

Definition at line 158 of file ezsourcesite.php.

References $db, $id, $ID, $ret, eZDB\finish(), and eZDB\globalDatabase().

## ◆ get()

eZSourceSite::get | ( |  | $id = `""` | ) |

Fetches the object information from the database.

Definition at line 125 of file ezsourcesite.php.

References $db, $id, $ret, eZDB\globalDatabase(), Name, and Password.

## ◆ getAll()

eZSourceSite::getAll | ( |  | ) |

Returns every source site objects in the database.

Definition at line 176 of file ezsourcesite.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ id()

eZSourceSite::id | ( |  | ) |

Returns the object ID.

Definition at line 197 of file ezsourcesite.php.

References $ID.

## ◆ isActive()

& eZSourceSite::isActive | ( |  | ) |

Returns the isActive, return true if succsessfull.

Definition at line 255 of file ezsourcesite.php.

References $ret.

## ◆ login()

& eZSourceSite::login | ( |  | ) |

Returns the login to the source site.

Definition at line 221 of file ezsourcesite.php.

References $Login.

## ◆ name()

& eZSourceSite::name | ( |  | ) |

Returns the source site name.

Definition at line 205 of file ezsourcesite.php.

References Name.

## ◆ password()

& eZSourceSite::password | ( |  | ) |

Returns the password to the source site.

Definition at line 229 of file ezsourcesite.php.

References $Password.

## ◆ setAutoPublish()

eZSourceSite::setAutoPublish | ( |  | $value | ) |

Sets the source to automatically publish new fetched news or not.

Definition at line 333 of file ezsourcesite.php.

## ◆ setCategory()

eZSourceSite::setCategory | ( |  | $category | ) |

Sets the category to import news to.

Definition at line 299 of file ezsourcesite.php.

References $category.

## ◆ setDecoder()

eZSourceSite::setDecoder | ( |  | $value | ) |

Sets the decoder to use.

Definition at line 310 of file ezsourcesite.php.

## ◆ setIsActive()

eZSourceSite::setIsActive | ( |  | $value | ) |

Sets the IsActive.

Definition at line 318 of file ezsourcesite.php.

## ◆ setLogin()

eZSourceSite::setLogin | ( |  | $value | ) |

Sets the login to the source site.

Definition at line 283 of file ezsourcesite.php.

## ◆ setName()

eZSourceSite::setName | ( |  | $value | ) |

Sets the source site name.

Definition at line 267 of file ezsourcesite.php.

References Name.

## ◆ setPassword()

eZSourceSite::setPassword | ( |  | $value | ) |

Sets the password to the news site.

Definition at line 291 of file ezsourcesite.php.

References Password.

## ◆ setURL()

eZSourceSite::setURL | ( |  | $value | ) |

Sets the url of the source site.

Definition at line 275 of file ezsourcesite.php.

## ◆ store()

eZSourceSite::store | ( |  | ) |

Stores an object to the database.

Definition at line 66 of file ezsourcesite.php.

References $db, $name, $ret, $url, eZDB\finish(), eZDB\globalDatabase(), Name, and Password.

## ◆ url()

& eZSourceSite::url | ( |  | ) |

Returns the url to the source site.

Definition at line 213 of file ezsourcesite.php.

References $URL.

## Member Data Documentation

## ◆ $AutoPublish

eZSourceSite::$AutoPublish

bool represented as an int. For automatically publishing of articles.

Definition at line 370 of file ezsourcesite.php.

## ◆ $CategoryID

eZSourceSite::$CategoryID

Definition at line 365 of file ezsourcesite.php.

## ◆ $Decoder

eZSourceSite::$Decoder

Definition at line 366 of file ezsourcesite.php.

Referenced by decoder().

## ◆ $ID

eZSourceSite::$ID

Definition at line 360 of file ezsourcesite.php.

Referenced by __construct(), delete(), and id().

## ◆ $IsActive

eZSourceSite::$IsActive

Definition at line 367 of file ezsourcesite.php.

## ◆ $IsPublished

eZSourceSite::$IsPublished

Definition at line 371 of file ezsourcesite.php.

## ◆ $Login

eZSourceSite::$Login

Definition at line 363 of file ezsourcesite.php.

Referenced by login().

## ◆ $Name

eZSourceSite::$Name

Definition at line 361 of file ezsourcesite.php.

## ◆ $Password

eZSourceSite::$Password

Definition at line 364 of file ezsourcesite.php.

Referenced by password().

## ◆ $URL

eZSourceSite::$URL

Definition at line 362 of file ezsourcesite.php.

Referenced by url().

The documentation for this class was generated from the following file:

- ezsourcesite.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.